Skip to main content
`Ctrl`+`K`

# MatMFFDWPSetComputeNormU

Sets whether it computes the ||U|| used by the Walker-Pernice [PW98] PETSc routine for computing h. With any Krylov solver this need only be computed during the first iteration and kept for later.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDWPSetComputeNormU(Mat A, PetscBool flag)

## Input Parameters

- A - the `MATMFFD` matrix

- flag - `PETSC_TRUE` causes it to compute \(||U||\), `PETSC_FALSE` uses the previous value

## Options Database Key

- -mat_mffd_compute_normu (true|false) - true by default, false can save calculations but you must be sure that \(||U||\) has not changed in the mean time.

## Note

See the manual page for `MATMFFD_WP` for a complete description of the algorithm used to compute h.

## References

[PW98]

M. Pernice and H. F. Walker. NITSOL: a Newton iterative solver for nonlinear systems. SIAM J. Sci. Stat. Comput., 19:302–318, 1998.

## See Also

`MATMFFD_WP`, `MATMFFD`, `MatMFFDSetFunctionError()`, `MatCreateSNESMF()`

## Level

advanced

## Location

src/mat/impls/mffd/wp.c

## Implementations

MatMFFDWPSetComputeNormU_P() in src/mat/impls/mffd/wp.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages